diff -u -r Common-4.2.0/config/js/config.js Common/config/js/config.js
--- Common-4.2.0/config/js/config.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/config/js/config.js	2013-05-01 14:23:15.000000000 +0900
@@ -31,6 +31,7 @@
 		param.account_max = $.query.get('account_max') || param.account_max;
 		param.page = $.query.get('page') || param.page;
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.websocket.connect('config_'+(new Date().getTime()), function(){
 			jn.temp.started = true;
 			jn.getConfig(function(){
@@ -49,6 +50,7 @@
 									cf.dispLoading(false);
 									_bootflg = true;
 									jn.onInitializeDone && jn.onInitializeDone();
+									console.log('janet.onInitializeDone() is done.');
 									jn.temp.initialized = true;
 								});
 								cf.buildBasic();
diff -u -r Common-4.2.0/js/janet/api.js Common/js/janet/api.js
--- Common-4.2.0/js/janet/api.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/js/janet/api.js	2013-05-01 14:31:42.000000000 +0900
@@ -155,6 +155,7 @@
 				}
 				jn.onGetConfig 
 				&& jn.onGetConfig(success, data);
+				console.log('janet.getConfig() is done.');
 			},
 			exp: true,
 			timeout: 500
@@ -171,6 +172,7 @@
 			done: function(success, _data, status){
 				done && done(success, _data, status);
 				jn.onSetConfig && jn.onSetConfig(success, data);
+				console.log('janet.setConfig() is done.');
 			},
 			timeout: 30000,
 		});
@@ -213,8 +215,10 @@
 				// 2012/09/04 @ginlime
 				// jn.onGetMessages を done の前に移動し、jn.onGetMessagesDone を追加
 				jn.onGetMessages && jn.onGetMessages(success, data);
+				console.log('janet.getMessages() is ...');
 				done && done(jn.msg);
 				jn.onGetMessagesDone && jn.onGetMessagesDone(success, data);
+				console.log('janet.getMessages() is done.');
 			}
 		});
 	};
@@ -249,6 +253,7 @@
 				}
 				done && done(jn.accounts);
 				jn.onGetAccounts && jn.onGetAccounts(success, data);
+				console.log('janet.getAccounts() is done.');
 			}
 		});
 	};
@@ -305,6 +310,7 @@
 				}
 				done && done(jn.timelines);
 				jn.onLoadTimelines && jn.onLoadTimelines(success, data);
+				console.log('janet.loadTimelines() is done.');
 			},
 			timeout: 10000,
 		},15);
@@ -339,6 +345,7 @@
 				}
 				done && done(jn.timelines);
 				jn.onGetTimelines && jn.onGetTimelines(success, data);
+				console.log('janet.getTimelines() is done.');
 			},
 			exp: true,
 			exp_max: 15000,
@@ -411,6 +418,7 @@
 				}
 				done && done(jn.lists);
 				jn.onGetLists && jn.onGetLists(success, data);
+				console.log('janet.getLists() is done.');
 			}
 		});
 	};
@@ -1020,6 +1028,7 @@
 							document.getElementsByTagName("head")[0].appendChild(jsonp);
 						});
 					}
+					console.log('janet.pluginLoad() is done.');
 					jn.temp.pluginLoaded = true;
 				}
 			});
diff -u -r Common-4.2.0/js/janet/contextmenu.js Common/js/janet/contextmenu.js
--- Common-4.2.0/js/janet/contextmenu.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/js/janet/contextmenu.js	2013-05-01 14:57:10.000000000 +0900
@@ -150,6 +150,7 @@
 			options.children('li:not([action="trends"])').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuOptionsBuildStarted && jn.onContextMemuOptionsBuildStarted(accounts);
+			console.log('janet.contextMenu.buildOptionsMenu() is started.');
 			if(jn.accounts.length>1){
 				options.children('li[action="profile"]')
 					.append(accountssubmenu.clone())
@@ -199,6 +200,7 @@
 			all.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuAllBuildStarted && jn.onContextMemuAllBuildStarted(accounts);
+			console.log('janet.contextMenu.buildAllMenu() is started.');
 			if(jn.accounts.length>1){
 				all.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -254,6 +256,7 @@
 			tweet.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuGearBuildStarted && jn.onContextMemuGearBuildStarted(accounts);
+			console.log('janet.contextMenu.buildGearMenu() is started.');
 			if(jn.accounts.length>1){
 				tweet.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -314,6 +317,7 @@
 			reply.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuReplyBuildStarted && jn.onContextMemuReplyBuildStarted(accounts);
+			console.log('janet.contextMenu.buildReplyMenu() is started.');
 			$().jeegoocontext('contextmenu-reply', {
 				onShow: jn.contextMenu.onShowReply,
 				onSelect: jn.contextMenu.onSelectReply
@@ -362,6 +366,7 @@
 			fav.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuFavBuildStarted && jn.onContextMemuFavBuildStarted(accounts);
+			console.log('janet.contextMenu.buildFavMenu() is started.');
 			if(jn.accounts.length>1){
 				fav.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -427,6 +432,7 @@
 			rt.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuRTBuildStarted && jn.onContextMemuRTBuildStarted(accounts);
+			console.log('janet.contextMenu.buildRTMenu() is started.');
 			if(jn.accounts.length>1){
 				rt.children('li[action="retweet"]')
 					.append(accountssubmenu.clone())
@@ -466,6 +472,7 @@
 			atUser.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuAtUserBuildStarted && jn.onContextMemuAtUserBuildStarted(accounts);
+			console.log('janet.contextMenu.buildAtUserMenu() is started.');
 			atUser.children('li[action="mute"]')
 				.append(mutesubmenu.clone());
 			$().jeegoocontext('contextmenu-user', {
@@ -510,6 +517,7 @@
 			.append(accountssubmenu.children('li').clone());
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuSelectAccountBuildStarted && jn.onContextMemuSelectAccountBuildStarted(accounts);
+			console.log('janet.contextMenu.buildSelectAccountMenu() is started.');
 			$().jeegoocontext('contextmenu-account', {
 				onShow: jn.contextMenu.onShowSelectAccount,
 				onSelect: jn.contextMenu.onSelectSelectAccount
@@ -547,6 +555,7 @@
 			tl.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuTimeLineBuildStarted && jn.onContextMemuTimeLineBuildStarted(accounts);
+			console.log('janet.contextMenu.buildTimeLineMenu() is started.');
 			if(jn.accounts.length>1){
 				tl.children('li[action="savesearch"]')
 				.append(accountssubmenu.clone())
@@ -658,6 +667,7 @@
 			linkItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuLinkBuildStarted && jn.onContextMemuLinkBuildStarted(accounts);
+			console.log('janet.contextMenu.buildLinkMenu() is started.');
 			$().jeegoocontext('contextmenu-link', {
 				onShow: jn.contextMenu.onShowLink,
 				onSelect: jn.contextMenu.onSelectLink
@@ -691,6 +701,7 @@
 			selectText.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuSelectTextBuildStarted && jn.onContextMemuSelectTextBuildStarted(accounts);
+			console.log('janet.contextMenu.buildSelectTextMenu() is started.');
 			$().jeegoocontext('contextmenu-selecttext', {
 				onShow: jn.contextMenu.onShowSelectText,
 				onSelect: jn.contextMenu.onSelectSelectText,
@@ -737,6 +748,7 @@
 			hashItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuHashBuildStarted && jn.onContextMemuHashBuildStarted(accounts);
+			console.log('janet.contextMenu.buildHashMenu() is started.');
 			$().jeegoocontext('contextmenu-hash', {
 				onShow: jn.contextMenu.onShowHash,
 				onSelect: jn.contextMenu.onSelectHash
@@ -772,6 +784,7 @@
 			viaItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuViaBuildStarted && jn.onContextMemuViaBuildStarted(accounts);
+			console.log('janet.contextMenu.buildViaMenu() is started.');
 			$().jeegoocontext('contextmenu-app', {
 				onShow: jn.contextMenu.onShowVia,
 				onSelect: jn.contextMenu.onSelectVia
@@ -808,6 +821,7 @@
 			draftItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuDraftBuildStarted && jn.onContextMemuDraftBuildStarted(accounts);
+			console.log('janet.contextMenu.buildDraftMenu() is started.');
 			$().jeegoocontext('contextmenu-draft', {
 				onShow: jn.contextMenu.onShowDraft,
 				onSelect: jn.contextMenu.onSelectDraft
@@ -882,6 +896,7 @@
 		'buildTrendsMenu' : function(){
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuTrendsBuildStarted && jn.onContextMemuTrendsBuildStarted();
+			console.log('janet.contextMenu.buildTrendsMenu() is started.');
 			if(jn.accounts.length){
 				jn.getTrends(jn.accounts[0].juid, jn.temp.woeid, function(success, data){
 					if(success && data[0] && data[0].trends && data[0].trends.length){
diff -u -r Common-4.2.0/js/janet/main.js Common/js/janet/main.js
--- Common-4.2.0/js/janet/main.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/js/janet/main.js	2013-05-01 14:06:52.000000000 +0900
@@ -8,6 +8,7 @@
 		// スタート
 		//================================================
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		//各オブジェクト作成
 		jn.newlistdlg = new jn.newlistdialog();
@@ -105,6 +106,7 @@
 										jn.timelines = timelines;
 										jn.unreaderMgr.display();
 										jn.onInitializeDone && jn.onInitializeDone();
+										console.log('janet.onInitializeDone() is done.');
 										jn.temp.initialized = true;
 									});
 								}, true);
@@ -167,6 +169,7 @@
 						dummyImg.src = "../../Common/images/main_sprite.png";
 						//テーマ用
 						jn.onLoadEnd && jn.onLoadEnd();
+						console.log('janet.onLoadEnd() is done.');
 					}
 				});
 				jn.getTwConfig();
diff -u -r Common-4.2.0/js/janet/message.js Common/js/janet/message.js
--- Common-4.2.0/js/janet/message.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/js/janet/message.js	2013-05-01 14:36:47.000000000 +0900
@@ -166,6 +166,7 @@
 	jn.messageTimelineController.prototype.updateFromWebSocket = function(tweets){
 		var self = this;
 		if(this.firstGapUpdated && !this.update_lock){
+			console.log('janet.onReceiveNewStatusesBefore() is doing now.');
 			if(jn.onReceiveNewStatusesBefore && jn.onReceiveNewStatusesBefore(tweets, self))
 				return;
 			
@@ -202,6 +203,7 @@
 								self.restoreScrollPos(true, true);
 							}
 							jn.onReceiveNewStatusesAfter && jn.onReceiveNewStatusesAfter(self);
+							console.log('janet.onReceiveNewStatusesAfter() is done.');
 						};
 					}
 				}
@@ -957,6 +959,7 @@
 		if(this.scroll)
 			this.restoreScrollPos();
 		this.onChangeFontSize && this.onChangeFontSize();
+		console.log('janet.messageTimelineController.changeFontSize() is done.');
 	},
 	
 	//------------------------------------------
@@ -1061,6 +1064,7 @@
 	var onChangeFontSizeOriginal = jn.editor.onChangeFontSize;
 	jn.editor.onChangeFontSize = function(){
 		onChangeFontSizeOriginal && onChangeFontSizeOriginal();
+		console.log('janet.editor.onChangeFontSizeOriginal() is done.');	// FIXME
 		
 		$('.conversation-edit-wrapper')
 			.each(function(){
diff -u -r Common-4.2.0/js/janet/timeline.js Common/js/janet/timeline.js
--- Common-4.2.0/js/janet/timeline.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/js/janet/timeline.js	2013-05-01 14:41:03.000000000 +0900
@@ -301,6 +301,7 @@
 		updateFromWebSocket: function(tweets){
 			var self = this;
 			if(this.firstGapUpdated && !this.update_lock){
+				console.log('janet.onReceiveNewStatusesBefore() is doing now.');
 				if(jn.onReceiveNewStatusesBefore && jn.onReceiveNewStatusesBefore(tweets, self))
 					return;
 				
@@ -362,6 +363,7 @@
 										self.restoreScrollPos(true, true);
 									}
 									jn.onReceiveNewStatusesAfter && jn.onReceiveNewStatusesAfter(self);
+									console.log('janet.onReceiveNewStatusesAfter() is done.');
 								};
 							}
 						}
@@ -2140,6 +2142,7 @@
 			if(this.scroll)
 				this.restoreScrollPos();
 			this.onChangeFontSize && this.onChangeFontSize();
+			console.log('janet.timelineController.changeFontSize() is done.');
 		},
 		
 		//------------------------------------------
diff -u -r Common-4.2.0/js/janet/tweetedit.js Common/js/janet/tweetedit.js
--- Common-4.2.0/js/janet/tweetedit.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/js/janet/tweetedit.js	2013-05-01 14:49:25.000000000 +0900
@@ -327,6 +327,7 @@
 			var expanded = $('#tweet-edit-container > .expanded:visible');
 			
 			if(!expanded.length){
+				console.log('janet.onTweetBoxShowBegin() is doing now.');
 				if(jn.onTweetBoxShowBegin){
 					if(!jn.onTweetBoxShowBegin(expanded))
 						return;
@@ -357,6 +358,7 @@
 				textarea.focus();
 				
 				jn.onTweetBoxShowEnd && jn.onTweetBoxShowEnd(expanded);
+				console.log('janet.onTweetBoxShowEnd() is done.');
 			}
 		},
 		insertFooter: function(){
@@ -416,6 +418,7 @@
 							.find('textarea').val(text);
 						}
 						jn.onCompactTweetBox && jn.onCompactTweetBox();
+						console.log('janet.onCompactTweetBox() is done.');
 					}
 				},10);
 			}
@@ -751,6 +754,7 @@
 				.addClass('font-' + jn.conf.tweet_edit_fontsize);
 			this._resizeMain && this._resizeMain();
 			this.onChangeFontSize && this.onChangeFontSize();
+			console.log('janet.tweeteditor.changeFontSize() is done.');
 		},
 		//------------------------------------------------
 		// ツイートアカウント切替
@@ -931,6 +935,7 @@
 						self.compactTweetBox();
 						self.removeAllTweetPhotos();
 						jn.onTweeted && jn.onTweeted(jn.msg.successSendTweet);
+						console.log('janet.onTweeted() is done.');
 						var undo = null;
 						if(data.id_str && data.id_str.length){
 							undo = function(){
@@ -1024,6 +1029,7 @@
 						self.compactTweetBox();
 						self.removeAllTweetPhotos();
 						jn.onMessaged && jn.onMessaged(jn.msg.successSendMessage);
+						console.log('janet.onMessaged() is done.');
 						var undo = null;
 						if(data.id_str && data.id_str.length){
 							undo = function(){
@@ -1126,6 +1132,7 @@
 							jn.profileDialog.displayStatus(jn.msg.successSendRetweet);
 						}else{
 							jn.onRetweeted && jn.onRetweeted(jn.msg.successSendRetweet);
+							console.log('janet.onRetweeted() is done.');
 							jn.notice(jn.msg.successSendRetweet, null, function(){
 								self._removeTweet(juid, data.id_str);
 							});
diff -u -r Common-4.2.0/notice/js/notice.js Common/notice/js/notice.js
--- Common-4.2.0/notice/js/notice.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/notice/js/notice.js	2013-05-01 14:59:12.000000000 +0900
@@ -23,6 +23,7 @@
 	$(function(){
 		jn.notice.suspended = jn.param.suspended;
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		jn.webViewAction('hide');
 		jn.serverReady(function(){
@@ -33,6 +34,7 @@
 				//プラグインのロードを先に行わせてから実行
 				setTimeout(function(){
 					jn.onInitializeDone && jn.onInitializeDone();
+					console.log('janet.onInitializeDone() is done.');
 					jn.temp.initialized = true;
 				});
 			});
@@ -76,6 +78,7 @@
 		/**
 		 * 新着ツイート通知
 		 */
+		console.log('janet.onReceiveNewTweetsBefore() is doing now.');
 		if(jn.onReceiveNewTweetsBefore && jn.onReceiveNewTweetsBefore(data))
 			return;
 		
@@ -152,6 +155,7 @@
 		nt.display(timeline);
 		
 		jn.onReceiveNewTweetsAfter && jn.onReceiveNewTweetsAfter();
+		console.log('janet.onReceiveNewTweetsAfter() is done.');
 	};
 	nt.newTweetsGrowl = function(data, timeline){
 		//Growl通知or通知センターの場合
@@ -223,6 +227,7 @@
 		/**
 		 * イベント通知
 		 */
+		console.log('janet.onReceiveNewEventBefore() is doing now.');
 		if(jn.onReceiveNewEventBefore && jn.onReceiveNewEventBefore(data))
 			return;
 
@@ -270,6 +275,7 @@
 		nt.display(event_key);
 		
 		jn.onReceiveNewEventAfter && jn.onReceiveNewEventAfter();
+		console.log('janet.onReceiveNewEventAfter() is done.');
 	};
 	nt.newEventGrowl = function(data){
 		var isGrowl = jn.conf.notice_type == 'growl';
@@ -1235,6 +1241,7 @@
 			onShow: jn.contextMenu.onShowReplyDM,
 			onSelect: jn.contextMenu.onSelectReplyDM
 		});
+		console.log('janet.contextMenu.buildReplyDMMenu() is done.');
 	};
 	//------------------------------------------------
 	// メニュー表示非表示制御（DM返信）
diff -u -r Common-4.2.0/profile/js/profile.js Common/profile/js/profile.js
--- Common-4.2.0/profile/js/profile.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/profile/js/profile.js	2013-05-01 14:19:11.000000000 +0900
@@ -35,6 +35,7 @@
 	//------------------------------------------------
 	$(function(){
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		pf.dispLoading(true);
 		param.host = $.query.get('host') || param.host;
@@ -57,6 +58,7 @@
 								jn.buildContextMenu(accounts);
 								pf.initialize();
 								jn.onInitializeDone && jn.onInitializeDone();
+								console.log('janet.onInitializeDone() is done.');
 								jn.temp.initialized = true;
 							});
 						});
diff -u -r Common-4.2.0/viewer/js/map.js Common/viewer/js/map.js
--- Common-4.2.0/viewer/js/map.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/viewer/js/map.js	2013-05-01 14:20:31.000000000 +0900
@@ -75,6 +75,7 @@
 								});
 							self.createMarker(map, results[0].geometry.location);
 							janet.onInitializeDone && janet.onInitializeDone();
+							console.log('janet.onInitializeDone() is done.');
 							janet.temp.initialized = true;
 						}else{
 							console.log('Geocode was not successful for the following reason: ' + status);
@@ -333,6 +334,7 @@
 //loading...
 $(function(){
 	janet.onInitialize && janet.onInitialize();
+	console.log('janet.onInitialize() is done.');
 	janet.temp.started = true;
 	//janet.pluginLoad();
 	//クルクル表示
diff -u -r Common-4.2.0/viewer/js/viewer.js Common/viewer/js/viewer.js
--- Common-4.2.0/viewer/js/viewer.js	2013-05-01 13:30:09.000000000 +0900
+++ Common/viewer/js/viewer.js	2013-05-01 14:21:14.000000000 +0900
@@ -129,6 +129,7 @@
 			self.setEvent();
 			self.webViewAction('resize',{w: w, h: h});
 			janet.onInitializeDone && janet.onInitializeDone();
+			console.log('janet.onInitializeDone() is done.');
 			janet.temp.initialized = true;
 		}
 	},
@@ -304,6 +305,7 @@
 	var imageViewer = new jImageViewer();
 	jQuery(function($){
 		janet.onInitialize && janet.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		janet.temp.started = true;
 		//janet.pluginLoad();
 		imageViewer.start();
